{% extends "base.html" %}
{% block content %}

    <header>
    </header>

        <div class="container" id="title_event" bgcolor="#191970">
            <img src="{{ object.image_url }}" title="Image" alt={{ object.name }} class="Event_image">
            <h2 class="Event_title">{{ object.name }}</h2>
            <!--<a class="Event_likes">Likes : {{ object.likes.count }}</a> -->
	    <img src="https://image.flaticon.com/icons/png/512/55/55281.png" title='calendar' alt='date' class="Event_minical">
	    <a class="Event_minicaltxt" >du {{ object.start_date }} au {{ object.end_date }}</a>
            <img src="http://ecotourszodiacadventures.com/wp-content/uploads/2017/05/Clock-9-512.png" title='clock' alt='duration' class="Event_miniclock">
            <a class="Event_miniclocktxt">de {{ object.start_time }} à {{ object.end_time }}</a>
            <img src="https://1001freedownloads.s3.amazonaws.com/icon/thumb/212/location-alt-512.png" title='loc' alt='location' class="Event_miniloc">
            <a class="Event_miniloctxt">à {{ object.location }}</a>
            <img src="https://cdn2.iconfinder.com/data/icons/furniture-131/64/couch-furniture-seat-sofa-512.png" title='place' alt='places' class="Event_miniplace">
            <a class="Event_miniplacestxt">{{ object.hasplaces }}</a>
            <img src="https://image.flaticon.com/icons/png/512/27/27825.png" title='Assos' alt='associations' class="Event_miniassos">
            <a class="Event_miniassostxt">{{ object.association }}</a>
            <img src="http://simpleicon.com/wp-content/uploads/coin-money-6.png" title='Price' alt='price' class="Event_price">
            <a class="Event_pricetxt">Membre IONIS : {{ object.price_ionis }}€ | Externe : {{ object.price_extern }}€</a>
            <h4 class="Event_Description">Description :</h4>
            <a class="Event_desctxt">{{ object.description }}</a>
	<center>
        {% if user.is_authenticated  and object.validation == 1 and object.left_places != 0 %}
            {% if object.price_ionis != 0 %}
                <a href="{% url 'process_payment' pk=object.pk %}">Acheter</a>
            {% else %}
                <form action="{% url 'buy_ticket' pk=object.pk %}" method=POST>
                    {% csrf_token %}
		            <button  type="submit" class="inscr_even btn btn-primary">S'inscrire à l'événement ?</button>
                </form>
            {% endif %}
	{% endif %}
	<br><br>
        {% if status != "None" and status != "Inscrit"  and object.validation == 1 %}
    	<form action="{% url 'get_list_tickets' pk=object.pk %}" method=POST>
            {% csrf_token %}
            <button  type="submit" class=" btn btn-danger"> Obtenir la liste des inscrits</button>
        </form>
        {% endif %}
	{% if status == "Responsable des associations"  %}
        	{% if object.validation == 0 %}
		<form action="{% url 'approve_event' pk=object.pk %}" method=POST>
                    {% csrf_token %}
                    <button  type="submit" class=" inscr_even btn btn-warning"> Valider l'événement</button>
    		</form>
                <br>
		<form action="{% url 'disapprove_event' pk=object.pk %}" method=POST>
                    {% csrf_token %}
                    <button  type="submit" class=" btn btn-danger"> Refuser l'événement</button>
    		</form>
        {% endif %}
    	</center>

        {% endif %}

</div>

  {% endblock %}
